# 🌍 Host Info

A browser extension built with [WXT.dev](https://wxt.dev) and React that lets you discover the origin of the website you're visiting. With a single click, you can view detailed information such as the **country of origin**, **IP address**, **ASN (Autonomous System Number)**, and more. You can also quickly search for the website's details on [Censys](https://censys.io) for deeper insights.

<img src="https://github.com/user-attachments/assets/83a6316c-54b8-41a8-8d43-c794a5f62696" alt="Showcase" width="200"/>

---

## ✨ Features

- **Country of Origin**: Instantly see the country where the website is hosted.
- **IP Address**: View the IP address of the server hosting the website.
- **ASN Information**: Get details about the Autonomous System (AS) managing the IP.
- **Censys Integration**: Quickly search for the website on Censys for advanced network insights.
- **Local & Internal Resources**: Detect if the website is a local or internal resource.
- **Beautiful UI**: A clean, modern interface powered by React and Tailwind CSS.

---

## 🧰 Tech Stack

- **[WXT.dev](https://wxt.dev)**: A modern framework for building browser extensions.
- **[React](https://react.dev)**: A JavaScript library for building user interfaces.
- **[Tailwind CSS](https://tailwindcss.com)**: A utility-first CSS framework for styling.
- **[IP Geolocation API](https://ip.albert.lol)**: Used to fetch IP and country details.
- **[Censys](https://censys.io)**: For advanced network and host information.

---

## 📄 License

This project is licensed under the MIT License. See the [LICENSE](LICENSE) file for details.

---
